Installing lib601 On Mac OSX

You are not logged in.

If you are a current student, please Log In for full access to the web site.
Note that this link will take you to an external site (https://oidc.mit.edu) to authenticate, and then you will be redirected back to this page.

1) Check for Pre-existing Python

Python is pre-installed on MacOS X, but it is often an older version, for this class, you will need Python 3.5 or later.

First open a Terminal window (from the Applications/Utilities folder). Type python3 and see whether it says Python 3.5.x or Python 3.6.x. If it does, you are all set! If not, follow the instructions below:

2) Install Python

If you did not already have the right version Python installed, you will need to install it. You can get a Python installer here:

3) Test

You can test the installation by running python3 and making sure that Python reports its version as 3.5.x or later.